package com.diagbot.web;


import com.diagbot.dto.RespDTO;
import com.diagbot.facade.KlRegulationBaseFacade;
import com.diagbot.vo.PushVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 通用规则表 前端控制器
 * </p>
 *
 * @author zhoutg
 * @since 2021-06-15
 */
@RestController
@RequestMapping("/klRegulation")
@Api(value = "其他规则API", tags = { "其他规则API" })
public class KlRegulationController {

    @Autowired
    KlRegulationBaseFacade klRegulationBaseFacade;

    @ApiOperation(value = "测试规则[zhoutg]", notes = "")
    @PostMapping("/test")
    public RespDTO<List<String>> push(@RequestBody PushVO pushVo) {
        List<String> codeList = klRegulationBaseFacade.process(pushVo);
        return RespDTO.onSuc(codeList);
    }
}
